org.apache.solr.client.solrj.io.stream

## Class TupleStream

- java.lang.Object
- - org.apache.solr.client.solrj.io.stream.TupleStream

- All Implemented Interfaces:
    Closeable, Serializable, AutoCloseable
  Direct Known Subclasses:
    CloudSolrStream, CommitStream, ComplementStream, DaemonStream, ExceptionStream, ExecutorStream, FacetStream, FeaturesSelectionStream, FetchStream, GatherNodesStream, HashJoinStream, IntersectStream, JDBCStream, JoinStream, MergeStream, ModelStream, PushBackStream, RandomStream, RankStream, ReducerStream, RollupStream, ScoreNodesStream, SelectStream, ShortestPathStream, SolrStream, SortStream, StatsStream, TextLogitStream, TextLogitStream.TermsStream, UniqueStream, UpdateStream

      public abstract class TupleStream
      extends Object
      implements Closeable, Serializable

  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `TupleStream()`

  - ### Method Summary

    All Methods Static Methods Instance Methods Abstract Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `abstract List<TupleStream>` | `children()`
    `abstract void` | `close()`
    `int` | `getCost()`
    `UUID` | `getStreamNodeId()`
    `abstract StreamComparator` | `getStreamSort()`
    `abstract void` | `open()`
    `abstract Tuple` | `read()`
    `abstract void` | `setStreamContext(StreamContext context)`
    `abstract Explanation` | `toExplanation(StreamFactory factory)`
    `static void` | `writeStreamClose(Writer out)`
    `static void` | `writeStreamOpen(Writer out)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### TupleStream

          public TupleStream()

  - ### Method Detail

    - #### writeStreamOpen

          public static void writeStreamOpen(Writer out)
                                      throws IOException

      Throws:
        `IOException`

    - #### writeStreamClose

          public static void writeStreamClose(Writer out)
                                       throws IOException

      Throws:
        `IOException`

    - #### setStreamContext

          public abstract void setStreamContext(StreamContext context)

    - #### children

          public abstract List<TupleStream> children()

    - #### open

          public abstract void open()
                             throws IOException

      Throws:
        `IOException`

    - #### close

          public abstract void close()
                              throws IOException

      Specified by:
        `close` in interface `Closeable`
      Specified by:
        `close` in interface `AutoCloseable`
      Throws:
        `IOException`

    - #### read

          public abstract Tuple read()
                              throws IOException

      Throws:
        `IOException`

    - #### getStreamSort

          public abstract StreamComparator getStreamSort()

    - #### toExplanation

          public abstract Explanation toExplanation(StreamFactory factory)
                                             throws IOException

      Throws:
        `IOException`

    - #### getCost

          public int getCost()

    - #### getStreamNodeId

          public UUID getStreamNodeId()

Copyright © 2000-2016 Apache Software Foundation. All Rights Reserved.